Skip to main content
PUT
/
workspace
/
{workspace_id}
/
mcp_server
/
trigger
/
{trigger_id}
Update an MCP server trigger using XanoScript
curl --request PUT \
  --url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/mcp_server/trigger/{trigger_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: text/x-xanoscript' \
  --data 'mcp_server_trigger foo {
  mcp_server = "my_server"
  input {
    object toolset {
      schema {
        int id
        text name
        text instructions
      }
    }
    object[] tools {
      schema {
        int id
        text name
        text instructions
      }
    }
  }
  stack {
    var $x1 {
      value = 123
    }
  }
  actions = {connection: true}
}
'
import requests

url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/mcp_server/trigger/{trigger_id}"

payload = "mcp_server_trigger foo {\n mcp_server = \"my_server\"\n input {\n object toolset {\n schema {\n int id\n text name\n text instructions\n }\n }\n object[] tools {\n schema {\n int id\n text name\n text instructions\n }\n }\n }\n stack {\n var $x1 {\n value = 123\n }\n }\n actions = {connection: true}\n}\n"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "text/x-xanoscript"
}

response = requests.put(url, data=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'text/x-xanoscript'},
body: 'mcp_server_trigger foo {\n mcp_server = "my_server"\n input {\n object toolset {\n schema {\n int id\n text name\n text instructions\n }\n }\n object[] tools {\n schema {\n int id\n text name\n text instructions\n }\n }\n }\n stack {\n var $x1 {\n value = 123\n }\n }\n actions = {connection: true}\n}\n'
};

fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/mcp_server/trigger/{trigger_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 1,
  "created_at": "2023-04-19 21:01:32+0000",
  "updated_at": "2023-04-19 21:01:32+0000",
  "name": "Agent Trigger",
  "description": "My agent trigger test description",
  "guid": "YE1fwVhQ-enRlc6Sb42Gqru58-0",
  "branch": "v1",
  "tag": [
    "example tag"
  ],
  "actions": {
    "connection": true
  },
  "xanoscript": {
    "value": "<string>",
    "message": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
integer<int64>
required
trigger_id
integer<int64>
required

Query Parameters

publish
boolean
default:true
include_xanoscript
boolean
default:false

Body

text/x-xanoscript

The body is of type string.

Example:

"mcp_server_trigger foo {\n mcp_server = \"my_server\"\n input {\n object toolset {\n schema {\n int id\n text name\n text instructions\n }\n }\n object[] tools {\n schema {\n int id\n text name\n text instructions\n }\n }\n }\n stack {\n var $x1 {\n value = 123\n }\n }\n actions = {connection: true}\n}\n"

Response

Success!

id
integer<int64>
default:1
created_at
string<timestamptz>
default:2023-04-19 21:01:32+0000
updated_at
string<timestamptz>
default:2023-04-19 21:01:32+0000
name
string
default:Agent Trigger
description
string
default:My agent trigger test description
guid
string
default:YE1fwVhQ-enRlc6Sb42Gqru58-0
branch
string
default:v1
tag
string[]
actions
object
xanoscript
object